package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.OrderFood;

/**
 * 订餐预约Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public interface OrderFoodMapper 
{
    /**
     * 查询订餐预约
     * 
     * @param orderFoodId 订餐预约主键
     * @return 订餐预约
     */
    public OrderFood selectOrderFoodByOrderFoodId(Long orderFoodId);

    /**
     * 查询订餐预约列表
     * 
     * @param orderFood 订餐预约
     * @return 订餐预约集合
     */
    public List<OrderFood> selectOrderFoodList(OrderFood orderFood);
    public List<OrderFood> selectOrderFoodListR(OrderFood orderFood);

    /**
     * 新增订餐预约
     * 
     * @param orderFood 订餐预约
     * @return 结果
     */
    public int insertOrderFood(OrderFood orderFood);

    /**
     * 修改订餐预约
     * 
     * @param orderFood 订餐预约
     * @return 结果
     */
    public int updateOrderFood(OrderFood orderFood);

    /**
     * 删除订餐预约
     * 
     * @param orderFoodId 订餐预约主键
     * @return 结果
     */
    public int deleteOrderFoodByOrderFoodId(Long orderFoodId);

    /**
     * 批量删除订餐预约
     * 
     * @param orderFoodIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderFoodByOrderFoodIds(Long[] orderFoodIds);
}
